Где можно взять Java для NW 4.11?

Обсуждение технических вопросов по продуктам Novell

Где можно взять Java для NW 4.11?

Сообщение Alexander Gallo » 20 дек 2002, 18:16

Господа подскажите пожалуйста где можно взять Java для NW 4.11?
Аватара пользователя
Alexander Gallo
 
Сообщения: 108
Зарегистрирован: 12 окт 2002, 18:30
Откуда: Санкт-Петербург,

Боюсь, что нигде

Сообщение Константин Ошмян » 21 дек 2002, 00:14

Идём на на http://www.novell.com/download, выбираем продукт "Novell JVM", платформу - "NetWare", получаем три ссылки на разные версии.

Вот выдержки из описания каждой из них:

Novell JVM 1.31a for NetWare
The JVM requires NetWare 5.1 with support pack 5 or higher, or NetWare 6 with support pack 2 or higher. This JVM supports only NetWare 5.1 or NetWare 6.
Это понятно, самая распоследняя на данный момент версия - соответственно, и работает лишь на последних версиях операционки.

Novell JVM 1.2.2 for NetWare
NetWare 5.1 with support pack 2a or later.
Это предыдущая версия, про неё тоже сказано лаконично, но исчерпывающе.

Novell JVM 1.1.7b
The JVM requires a NetWare operating system version 5.x. NetWare 5.0 you need to have installed Support Pack 3. NetWare 5.1 you need to have installed Support Pack 2A.
Это обновление самой первой версии (1.1.7B), которая была включена в NetWare 5.

Насколько я помню, одним из очень сильных моментов, на который был упор в маркетинге при выходе NetWare 5, была именно возможность работы виртуальной машины Java (утверждалось даже, что JVM на этой платформе является самой быстрой среди всех однопроцессорных систем - обходя даже системы на RISC-процессорах). И я очень сильно сомневаюсь, что существует нормальная рабочая версия JVM под предыдущие версии NetWare - очень много было переделано в NeWare 5 для того, чтобы оно нормально работало (навскидку: виртуальная память, защищённые области памяти, GUI, NICI - всё это появилось лишь в пятёрке).
С уважением,
Константин Ошмян
Аватара пользователя
Константин Ошмян
 
Сообщения: 961
Зарегистрирован: 13 авг 2002, 21:36
Откуда: Рига

Сообщение Андрей Тр. aka RH » 21 дек 2002, 06:06

Вообще-то Zenworks, помнится, вполне нормально работал и под 4.11, а без JVM там трудновато.
ZENworks for Desktops 3.x and ZENworks for Server 2.0 were designed and tested on JVM 1.1.7b. This version of the JVM (1.1.7b) is available for NetWare 4.x and 5.x.
Даешь отдельный раздел по ZENworks ... :bad-words: .. и печати !
Аватара пользователя
Андрей Тр. aka RH
 
Сообщения: 3937
Зарегистрирован: 18 июн 2002, 11:27

Сообщение Dimerson » 21 дек 2002, 16:03

Андрей Тр. aka RH писал(а):Вообще-то Zenworks, помнится, вполне нормально работал и под 4.11, а без JVM там трудновато.
ZENworks for Desktops 3.x and ZENworks for Server 2.0 were designed and tested on JVM 1.1.7b. This version of the JVM (1.1.7b) is available for NetWare 4.x and 5.x.

Не знаю не знаю

MW27 NetExplorer сервер - тоже хочет JAVA - и по этому 5.0 минимум.
Да и к тому же ка же с ENV на 4.11 ? трудновато будет JRE без нее.
Аватара пользователя
Dimerson
 
Сообщения: 2739
Зарегистрирован: 15 сен 2002, 14:39
Откуда: Регион 70

Народ, вы о чём?

Сообщение Сергей Дубров » 21 дек 2002, 19:34

Dimerson писал(а):MW27 NetExplorer сервер - тоже хочет JAVA - и по этому 5.0 минимум.
Да и к тому же ка же с ENV на 4.11 ? трудновато будет JRE без нее.

Люди, вы уже всё позабывали. У меня уже пару лет ява на 4.11 без проблем работает:

Novell JVM Version 1.1.7B Build 00041115
Version 1.17 11 April 2000
Copyright (c) 1998-2000 Novell, Inc.
Portions Copyright (c) 1998 Sun Microsystems
Аватара пользователя
Сергей Дубров
 
Сообщения: 2072
Зарегистрирован: 05 июн 2002, 06:07
Откуда: Новосибирск, ин-т ядерной физики СО РАН

Спасибо, попробую.

Сообщение Alexander Gallo » 22 дек 2002, 17:04

Вообще JVM как NWIP мне понадобился для BackupExec. Сейчас раскручиваю пока на пробном сервере триальную версию BackupExec 9.0. JVM 1.1.7B я с Novell-а скачал, там везде написано, что нужна NW5.0 с SP3. Но Veritas пишет, что BackupExec 9.0 и для NW4.х, но требует JVM 1.1.7B для работы консоли. Вообщем попробую поставить, BackupExec без консоли скучный. Спасибо за проявленное внимание, если будет желание поделиться мыслями про установку JVM и про резервное копирование вообще буду очень рад.
Аватара пользователя
Alexander Gallo
 
Сообщения: 108
Зарегистрирован: 12 окт 2002, 18:30
Откуда: Санкт-Петербург,

Сообщение Андрей Тр. aka RH » 22 дек 2002, 17:53

У меня такое ощущение, что JVM в свое время поставлялась только с Intranetware, с которой шли всякие Интернет-причиндалы ( типа новелловского веб-сервера, ftp, шлюза и пр. ), а не просто с 4.11. Может, поэтому ее и нет в некоторых красных коробках ? А сейчас на сайте Новелла найти JVM именно для ( с упоминанием ) 4.11 вроде бы нельзя. И вопрос-то был, собстсвенно, про "где взять ?".
Даешь отдельный раздел по ZENworks ... :bad-words: .. и печати !
Аватара пользователя
Андрей Тр. aka RH
 
Сообщения: 3937
Зарегистрирован: 18 июн 2002, 11:27

Я брал яву не из коробки :-)

Сообщение Сергей Дубров » 22 дек 2002, 18:07

Андрей Тр. aka RH писал(а):А сейчас на сайте Новелла найти JVM именно для ( с упоминанием ) 4.11 вроде бы нельзя. И вопрос-то был, собстсвенно, про "где взять ?".

Я качал свою Java 1.1.7B с девелоперского раздела, где она лежала как Java for 4.11/5.0:

The Java Virtual Machine (JVM) v1.1.7B.
for NetWare and IntranetWare. The Symantec Jit
3.10 for NetWare and IntranetWare.

Если край как надо, могу её выложить у себя.
Аватара пользователя
Сергей Дубров
 
Сообщения: 2072
Зарегистрирован: 05 июн 2002, 06:07
Откуда: Новосибирск, ин-т ядерной физики СО РАН

Сообщение Alexander Gallo » 23 дек 2002, 12:00

У меня NW4.11 SP9, скачал с новелла jvm117b.exe, не ставится требует минимум NW5.0 SP3, запускается со станции ищет сервера, и говорит, что подходящих серверов нет.
Аватара пользователя
Alexander Gallo
 
Сообщения: 108
Зарегистрирован: 12 окт 2002, 18:30
Откуда: Санкт-Петербург,


Вернуться в Novell

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 3